Subject: Re: bug#52973: Adding a few context-menu-mode commands

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Jan 2022 11:08:39 +0200

> I just wanted to apply this patch, then I noticed that this would also
> change the default browser for EWW from html.duckduckgo.com to
> duckduckgo.com.  The effect is that every search query it redirected to
> the JS-free version.  Any ideas how to fix this?  Should I just remove
> the EWW integration, or change the DuckDuckGo URL to the HTML-version?

Another option would be to add a new webjump engine for HTML DuckDuckGo,
and make it default, then it could be used in eww.
Or change the existing DuckDuckGo to HTML, then also add JS DuckDuckGo
for users who prefer JS-based DuckDuckGo.